curl --request GET \
--url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}Überprüfen Sie den Status der Ordneraktualisierung. Die Aktualisierung von Ordnern erfolgt asynchron.
curl --request GET \
--url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
TaskId der Ordneraktualisierung
successful operation
Ob alle erforderlichen Änderungen berücksichtigt wurden.
Zeitstempel, wann die Aufgabe gestartet wurde.
Aktueller Status der Aufgabe.
CANCELED, COMPLETE, PENDING, PROCESSING ID der Aufgabe.
Ausführliche Angaben zu den Fehlern, die sich aus der Aufgabe ergeben.
Anzeigen untergeordnete attribute
Link zur Überprüfung des Status der Aufgabe.
Anzeigen untergeordnete attribute
Anzahl der Fehler, die sich aus den angeforderten Änderungen ergeben.
Zeitstempel, wann die Aufgabe angefragt wurde.
Anzeigen untergeordnete attribute